Module java.rmi
Package java.rmi.server

## Class Operation

- java.lang.Object
- - java.rmi.server.Operation

    @Deprecated
    public class Operation
    extends Object

Deprecated.
no replacement
An `Operation` contains a description of a Java method. `Operation` objects were used in JDK1.1 version stubs and skeletons. The `Operation` class is not needed for 1.2 style stubs (stubs generated with `rmic -v1.2`); hence, this class is deprecated.

Since:
  1.1

### Constructor Summary

Constructors
`Operation​(String op)` Deprecated. no replacement

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getOperation()` Deprecated. no replacement
`String` `toString()` Deprecated. no replacement

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Operation

    @Deprecated
    public Operation​(String op)

Deprecated.
no replacement
Creates a new Operation object.

Parameters:
  `op` - method name
Since:
  1.1

### Method Detail

#### getOperation

    @Deprecated
    public String getOperation()

Deprecated.
no replacement
Returns the name of the method.

Returns:
  method name
Since:
  1.1

#### toString

    @Deprecated
    public String toString()

Deprecated.
no replacement
Returns the string representation of the operation.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object.
Since:
  1.1